Is it cloudways migrator should matches with PHP version for migration?

Hi,
My website is currently hosted on another private network.
Reference website: https://www.socprollect-mea.com/

Besides, I would like to know - Is it cloudways migrator should match with PHP version for migration? I don’t have the access to FTP or nothing for this website, there is Cpanel, but there is a limited region by the current host providers. So, is this migration works?

No, the Cloudways Migrator plugin doesn’t do anything about the PHP version, @sanjumon. You’ll need to set the PHP version you want to use in the Cloudways control panel.

You can use the Site Health tool under the Tools menu in the WordPress dashboard of the existing website to easily find out what PHP version the old host is running if you need to match that. (In case the cPanel you have access to isn’t listing the PHP version)

Make sense?